<?php
/**
 * @file
 * materio_content_types.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function materio_content_types_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "cer" && $api == "default_cer_presets") {
    return array("version" => "1");
  }
  if ($module == "field_group" && $api == "field_group") {
    return array("version" => "1");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function materio_content_types_views_api($module = NULL, $api = NULL) {
  return array("api" => "3.0");
}

/**
 * Implements hook_image_default_styles().
 */
function materio_content_types_image_default_styles() {
  $styles = array();

  // Exported image style: card-big.
  $styles['card-big'] = array(
    'effects' => array(
      3 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 430,
          'height' => 340,
        ),
        'weight' => 1,
      ),
    ),
    'label' => 'card-big',
  );

  // Exported image style: card-full.
  $styles['card-full'] = array(
    'effects' => array(
      4 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 425,
          'height' => 610,
        ),
        'weight' => 1,
      ),
    ),
    'label' => 'card-full',
  );

  // Exported image style: card-medium.
  $styles['card-medium'] = array(
    'effects' => array(
      6 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 210,
          'height' => 295,
        ),
        'weight' => 1,
      ),
    ),
    'label' => 'card-medium',
  );

  // Exported image style: card-small.
  $styles['card-small'] = array(
    'effects' => array(
      2 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 100,
          'height' => 140,
        ),
        'weight' => 1,
      ),
    ),
    'label' => 'card-small',
  );

  return $styles;
}

/**
 * Implements hook_node_info().
 */
function materio_content_types_node_info() {
  $items = array(
    'breve' => array(
      'name' => t('Breve'),
      'base' => 'node_content',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Titre'),
      'help' => '',
    ),
    'company' => array(
      'name' => t('Company'),
      'base' => 'node_content',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Company'),
      'help' => '',
    ),
    'materiau' => array(
      'name' => t('Materiau'),
      'base' => 'node_content',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Nom'),
      'help' => '',
    ),
    'page' => array(
      'name' => t('Page'),
      'base' => 'node_content',
      'description' => t('Use this content type to add static pages like "about" "contact" etc'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'webform' => array(
      'name' => t('Webform'),
      'base' => 'node_content',
      'description' => t('Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
  );
  drupal_alter('node_info', $items);
  return $items;
}
